{
    "path": "$OET_PATH/testcases/function_test/pkg_test/gnome-calendar/gnome-calendar",
    "machine num": 1,
    "cases": [
        {
            "name": "test_gnome-calendar_gnome-calendar_h",
            "desc": "测试 gnome-calendar 命令的 -h 参数，显示帮助选项"
        },
        {
            "name": "test_gnome-calendar_gnome-calendar_help-all",
            "desc": "测试 gnome-calendar 命令的 --help-all 参数，显示所有帮助选项"
        },
        {
            "name": "test_gnome-calendar_gnome-calendar_help-gapplication",
            "desc": "测试 gnome-calendar 命令的 --help-gapplication 参数，显示 GApplication 选项"
        },
        {
            "name": "test_gnome-calendar_gnome-calendar_q",
            "desc": "测试 gnome-calendar 命令的 -q 参数，退出 GNOME Calendar"
        },
        {
            "name": "test_gnome-calendar_gnome-calendar_upper_v",
            "desc": "测试 gnome-calendar 命令的 -v 参数，显示版本号"
        },
        {
            "name": "test_gnome-calendar_gnome-calendar_debug",
            "desc": "测试 gnome-calendar 命令的 --debug 参数，启用调试消息"
        },
        {
            "name": "test_gnome-calendar_gnome-calendar_d",
            "desc": "测试 gnome-calendar 命令的 -d 参数，打开指定日期的日历"
        },
        {
            "name": "test_gnome-calendar_gnome-calendar_u",
            "desc": "测试 gnome-calendar 命令的 -u 参数，打开显示指定事件的日历"
        },
        {
            "name": "test_gnome-calendar_function_add_event",
            "desc": "测试添加日历事件功能"
        },
        {
            "name": "test_gnome-calendar_function_delete_event",
            "desc": "测试删除日历事件功能"
        },
        {
            "name": "test_gnome-calendar_function_edit_event",
            "desc": "测试编辑日历事件功能"
        },
        {
            "name": "test_gnome-calendar_function_sync_calendar",
            "desc": "测试日历同步功能"
        },
        {
            "name": "test_gnome-calendar_function_view_day",
            "desc": "测试查看某天日历功能"
        },
        {
            "name": "test_gnome-calendar_function_view_week",
            "desc": "测试查看周历功能"
        },
        {
            "name": "test_gnome-calendar_function_view_month",
            "desc": "测试查看月历功能"
        }
    ]
}